#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 quickcheck-classes
version:              0.6.5.0
visibility:           public
id:                   quickcheck-classes-0.6.5.0-5Dlx0fRmOs8750cKaY0C7g
key:                  quickcheck-classes-0.6.5.0-5Dlx0fRmOs8750cKaY0C7g
license:              BSD-3-Clause
copyright:            2018 Andrew Martin
maintainer:           andrew.thaddeus@gmail.com
author:               Andrew Martin, chessai
homepage:             https://github.com/andrewthad/quickcheck-classes#readme
synopsis:             QuickCheck common typeclasses
description:
    This library provides QuickCheck properties to ensure
    that typeclass instances adhere to the set of laws that
    they are supposed to. There are other libraries that do
    similar things, such as `genvalidity-hspec` and `checkers`.
    This library differs from other solutions by not introducing
    any new typeclasses that the user needs to learn.

    /Note:/ on GHC < 8.5, this library uses the higher-kinded typeclasses
    ('\''Data.Functor.Classes.Show1'\'', '\''Data.Functor.Classes.Eq1'\'', '\''Data.Functor.Classes.Ord1'\'', etc.),
    but on GHC >= 8.5, it uses `-XQuantifiedConstraints` to express these
    constraints more cleanly.

category:             Testing
abi:                  2dedf2ba1a55d8c4dc6827ce925a8199
exposed:              True
exposed-modules:
    Test.QuickCheck.Classes Test.QuickCheck.Classes.IsList

hidden-modules:
    Test.QuickCheck.Classes.Alt Test.QuickCheck.Classes.Apply
    Test.QuickCheck.Classes.Euclidean Test.QuickCheck.Classes.Json
    Test.QuickCheck.Classes.MVector Test.QuickCheck.Classes.Plus
    Test.QuickCheck.Classes.Prim Test.QuickCheck.Classes.Semigroupoid
    Test.QuickCheck.Classes.Semiring Test.QuickCheck.Classes.Ring

import-dirs:          /usr/lib/ghc-9.2.8/site-local/quickcheck-classes-0.6.5.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/quickcheck-classes-0.6.5.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-quickcheck-classes
hs-libraries:         HSquickcheck-classes-0.6.5.0-5Dlx0fRmOs8750cKaY0C7g
depends:
    QuickCheck-2.14.3-1kHSJYV22r9H1CQAFEYDgg
    aeson-2.1.2.1-7IgTEIjsesxDBKStPrg8Ee base-4.16.4.0
    containers-0.6.5.1 primitive-0.7.4.0-LS07XpojUe32dExBFiZWCd
    primitive-addr-0.1.0.2-Kjplz5Sy454DUcs5RE5xrT
    quickcheck-classes-base-0.6.2.0-ILRseO1kHKO5c9KQBUaW5U
    semigroupoids-5.3.7-3U2IryA3hkA2mP7KcpKf47
    semirings-0.6-JSA1AgOsk2z1ALmebEKtbK transformers-0.5.6.2
    vector-0.13.1.0-7kspXIhsfaQEZQW3lsFmcE

haddock-interfaces:
    /usr/share/doc/haskell-quickcheck-classes/html/quickcheck-classes.haddock

haddock-html:         /usr/share/doc/haskell-quickcheck-classes/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

